# $Revision: 1.3 $, $Date: 2001/04/04 22:17:12 $
Summary:	NetCDF: Network Common Data Form
Name:		netcdf
Version:	3.6.1
Release:	1%{?dist}
License:	BSD-like
Group:		Scientific/Libraries
Source0:	ftp://ftp.unidata.ucar.edu/pub/netcdf/%{name}-%{version}.tar.gz
URL:		http://unidata.ucar.edu/packages/netcdf/
BuildRequires:	gcc-c++
BuildRoot:	/var/tmp/%{name}-%{version}-root

%description
NetCDF (network Common Data Form) is an interface for array-oriented
data access and a library that provides an implementation of the
interface. The netCDF library also defines a machine-independent
format for representing scientific data. Together, the interface,
library, and format support the creation, access, and sharing of
scientific data. The netCDF software was developed at the Unidata
Program Center in Boulder, Colorado.

%package devel
Summary:	Header files for netCDF
Group:		Scientific/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for netCDF.

%package static
Summary:	NetCDF - static libraries
Group:		Scientific/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of netCDF libraries.

%prep
%setup -q

%build
cd src

export CC=gcc CFLAGS="$RPM_OPT_FLAGS -Df2cFortran" CXXFLAGS="$RPM_OPT_FLAGS" 
export FC="g77"
export CPPFLAGS="-fPIC"
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir},%{_mandir}}

cd src
make install prefix=$RPM_BUILD_ROOT%{_prefix} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

%ifarch x86_64
	mv $RPM_BUILD_ROOT/usr/lib/libnetcdf* $RPM_BUILD_ROOT%{_libdir}
%endif

# remove unwanted path from libtool script
#cat $RPM_BUILD_ROOT%{_libdir}/libnetcdf_c++.la | \
#	awk '/^dependency_libs/ { gsub("-L[ \t]*[^ \t]*/\.libs ","") } //' \
#	>$RPM_BUILD_ROOT%{_libdir}/libnetcdf_c++.la.tmp
#mv -f $RPM_BUILD_ROOT%{_libdir}/libnetcdf_c++.la.tmp \
#	$RPM_BUILD_ROOT%{_libdir}/libnetcdf_c++.la

# resolve man names conflict
mv -f $RPM_BUILD_ROOT%{_mandir}/man3/netcdf.3f \
	$RPM_BUILD_ROOT%{_mandir}/man3/netcdff.3

gzip -9nf COPYRIGHT README RELEASE_NOTES fortran/cfortran.doc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
#attr(755,root,root) %{_libdir}/*.so.*.*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc src/*.gz src/fortran/*.gz
%{_includedir}/*
%{_libdir}/*.a
#{_libdir}/*.so
#attr(755,root,root) %{_libdir}/*.la
%{_mandir}/man3/*

#files static
#defattr(644,root,root,755)
#{_libdir}/*.a

%changelog
* Mon Feb 21 2005 Josko Plazonic <plazonic@math.princeton.edu>
- rebuild with new version, drop shared version as it won't
  build anymore, check later

* Tue Dec 04 2001 Josko Plazonic <plazonic@math.princeton.edu>
- adapted Polish(ed) rpm
